/* // X-Small devices (portrait phones, less than 576px) */
/* // No media query for `xs` since this is the default in Bootstrap */
@media (min-width: 320px) and (max-width: 575px){
    .banner_img img{
        width: 100%;
        height: 100vh;
    }

    .banner_lay {
        top: 68px;
        left: 0px;
        padding: 0px;
    }

    .banner_lay p {
        font-weight: 600;
        text-align: center;
    }

    .address_content p {
        font-size: 16.3px;
    }

    .story_box {
        padding: 40px 20px;
    }

    .st_head h1 {
        font-size: 39px;
    }

    #strength {
        min-height: 490px;
    }

    .st_content h5:nth-of-type(1){
        margin-top: 50px;
    }

    #gallary {
        padding: 50px 20px 20px;
    }

    .design_overlay h1 {
        text-align: center;
    }

    #design1 {
        padding: 30px 20px 20px;
    }

    #source {
        padding: 10px 20px 65px;
    }

    #relationship {
        min-height: 140vh;
    }

    .relation_overlay {
        padding: 0 0px;
    }

    #a_service {
        padding: 50px 20px 100px;
    }

    .a_service_head h1 {
        font-size: 38px;
    }

    #contact {
        min-height: 190vh;
    }

    .contact_overlay {
        padding: 0 20px 50px;
    }

    footer {
        padding: 20px 20px;
    }

    .footer_content{
        text-align: center;
    }

    .footer_content p{
        font-size: 13.68px;
    }

    #ab_banner {
        min-height: 1125px;
    }

    .ab_banner_content {
        padding: 0px;
    }

    .ab_head h2 {
        text-align: center;
    }

    #ab_history {
        padding: 70px 20px;
    }

    .ab_border {
        height: 1px;
        width: 195px;
        margin: 5px 0 50px 15%;
    }

    #ab_bts {
        padding: 50px 20px;
    }

    .ab_bts_border {
        margin: 5px 0% 20px;
    }

    .ab_bts_content h2 {
        font-size: 20px;
        text-align: center;
    }

    .ab_bts_content .htwo {
        text-align: center;
    }

    .ab_bts_content p {
        margin-bottom: 50px;
    }

    .ab_bts_contentbd {
        margin: 5px 10px 30px;
    }

    .g-5, .gy-5 {
        --bs-gutter-y: 0rem;
    }

    .g-5, .gx-5 {
        --bs-gutter-x: 0rem;
    }

    .ab_bts_box{
        display: flex;
        flex-direction: column-reverse;
    }

    .abi {
        margin-bottom: 60px;
    }

    #cn_banner {
        padding: 50px 20px;
    }

    #cn_bg {
        padding: 0 0px;
    }

    .form_box .form_input input {
        width: 100%;
    }

    .form_box .form_input .input1 {
        width: 47%;
    }

    form .request_form_input .r_input {
        width: 45%;
    }

    form .request_form_input input {
        width: 100%;
    }
}
/* // Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767px) {
    .banner_img img{
        width: 100%;
        height: 100vh;
    }

    .banner_lay {
        top: 115px;
        left: 0px;
    }

    .story_box {
        padding: 40px 20px;
    }

    .story_content1 {
        padding: 0% 35px 0;
    }

    #strength {
        min-height: 390px;
    }

    .st_content h5:nth-of-type(1){
        margin-top: 50px;
    }

    #gallary {
        padding: 50px 20px 20px;
    }

    .design_overlay h1 {
        text-align: center;
    }

    #design1 {
        padding: 30px 20px 20px;
    }

    #source {
        padding: 10px 20px 65px;
    }

    #relationship {
        background-position: center;
    }

    .relation_overlay {
        padding: 0 0px;
    }

    #a_service {
        padding: 50px 20px 50px;
    }

    #contact {
        min-height: 125vh;
    }

    .contact_overlay {
        padding: 0 20px 0px;
    }

    footer {
        padding: 20px 0px;
    }

    #ab_banner {
        min-height: 740px;
    }
    
    #ab_history {
        padding: 80px 20px;
    }

    .ab_head h2 {
        text-align: center;
    }

    .ab_border {
        height: 1px;
        width: 415px;
        margin: 5px 0 50px 15%;
    }

    #ab_bts {
        padding: 50px 20px;
    }

    .ab_bts_border {
        margin: 5px 0% 20px;
    }

    .ab_bts_content h2 {
        font-size: 20px;
        text-align: center;
    }

    .ab_bts_content .htwo {
        text-align: center;
    }

    .ab_bts_content p {
        margin-bottom: 50px;
    }

    .ab_bts_contentbd {
        margin: 5px 0px 30px;
    }

    .g-5, .gy-5 {
        --bs-gutter-y: 0rem;
    }

    .g-5, .gx-5 {
        --bs-gutter-x: 0rem;
    }

    .ab_bts_box{
        display: flex;
        flex-direction: column-reverse;
    }

    .abi {
        margin-bottom: 60px;
    }

    form .request_form_input .r_input {
        width: 47%;
    }
}

/* // Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991px) {
    .banner_lay {
        top: 130px;
        left: 40px;
    }

    .story_box {
        padding: 40px 20px;
    }

    .story_content1 {
        padding: 0% 35px 0;
    }

    #gallary {
        padding: 50px 20px 20px;
    }

    #design1 {
        padding: 30px 20px 20px;
    }

    .design1_img{
        display: none;
    }

    #source {
        padding: 10px 20px 65px;
    }

    .relation_overlay {
        padding: 0 0px;
    }

    #a_service {
        padding: 50px 20px 50px;
    }

    #contact {
        min-height: 115vh;
    }

    .contact_overlay {
        padding: 0 20px 0px;
    }

    #ab_banner {
        min-height: 780px;
    }

    #ab_history {
        padding: 80px 20px;
    }

    .ab_border {
        margin-left: 5%;
    }

    .ab_bts_content h2 {
        font-size: 20px;
    }

    .ab_bts_content p {
        margin-bottom: 40px;
    }

    #cn_bg {
        padding: 0 20px;
    }

    form .request_form_input .r_input {
        width: 46%;
    }
}

/* // Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199px) {
    .banner_lay {
        top: 140px;
        left: 50px;
    }

    .story_box {
        padding: 40px 50px;
    }

    .story_content1 {
        padding: 65% 35px 0;
    }

    #gallary {
        padding: 50px 50px 20px;
    }

    #design1 {
        padding: 30px 50px 20px;
    }

    #source {
        padding: 10px 50px 65px;
    }

    #a_service {
        padding: 50px 50px 50px;
    }

    #contact {
        min-height: 100vh;
    }

    .contact_overlay {
        padding: 0 50px 0px;
    }

    #ab_banner {
        min-height: 630px;
    }

    .ab_border {
        margin-left: 20%;
    }

    .ab_bts_content p {
        margin-bottom: 60px;
    }

    form .request_form_input .r_input {
        width: 47%;
    }
}

/* // X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) and (max-width: 1399px) {
    .banner_lay {
        top: 150px;
        left: 60px;
    }

    #contact {
        min-height: 100vh;
    }
}

/* // XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) { ... }